List internal accounts
curl --request GET \
--url https://api.panoqore.example/v1/internal-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/internal-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/internal-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/internal-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accounts": [
{
"account": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"type": "ASSET",
"normalSide": "DEBIT",
"currency": "<string>",
"ownerRef": "<string>",
"status": "ACTIVE",
"category": "WALLET",
"balance": {
"currency": "<string>",
"posted": "<string>",
"pending": "<string>",
"available": "<string>",
"version": "<string>",
"asOf": "2023-11-07T05:31:56Z"
},
"overdraftLimit": "<string>",
"pendingApprovalId": "<string>",
"namedAccounts": [
{
"id": "<string>",
"accountId": "<string>",
"accountLabel": "<string>",
"partner": "<string>",
"partnerName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"accountName": "<string>",
"currency": "<string>",
"status": "PENDING",
"mandateRef": "<string>",
"partnerRef": "<string>",
"failureReason": "<string>",
"pendingApprovalId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"module": "<string>",
"templatePattern": "<string>",
"party": "<string>"
}
],
"templates": [
{
"codePattern": "<string>",
"name": "<string>",
"type": "ASSET",
"normalSide": "DEBIT",
"reportingLine": "<string>",
"partyKind": "<string>"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Chart of accounts
List internal accounts
Scope: any one of read, entries:write.
GET
/
v1
/
internal-accounts
List internal accounts
curl --request GET \
--url https://api.panoqore.example/v1/internal-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/internal-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/internal-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/internal-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accounts": [
{
"account": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"type": "ASSET",
"normalSide": "DEBIT",
"currency": "<string>",
"ownerRef": "<string>",
"status": "ACTIVE",
"category": "WALLET",
"balance": {
"currency": "<string>",
"posted": "<string>",
"pending": "<string>",
"available": "<string>",
"version": "<string>",
"asOf": "2023-11-07T05:31:56Z"
},
"overdraftLimit": "<string>",
"pendingApprovalId": "<string>",
"namedAccounts": [
{
"id": "<string>",
"accountId": "<string>",
"accountLabel": "<string>",
"partner": "<string>",
"partnerName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"accountName": "<string>",
"currency": "<string>",
"status": "PENDING",
"mandateRef": "<string>",
"partnerRef": "<string>",
"failureReason": "<string>",
"pendingApprovalId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"module": "<string>",
"templatePattern": "<string>",
"party": "<string>"
}
],
"templates": [
{
"codePattern": "<string>",
"name": "<string>",
"type": "ASSET",
"normalSide": "DEBIT",
"reportingLine": "<string>",
"partyKind": "<string>"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}